package com.loafle.overflow.crawler.result;

import com.loafle.overflow.crawler.config.Item;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by root on 17. 4. 25.
 */
public class OFResultSetRow extends OFResultSet{


    public OFResultSetRow(Item item) {
        super(item);
    }

    public void setMeta() {

            List<String> meta = new ArrayList<>();

            List<String> arrayColumns = (List<String>) this.item.getQuery().getQueryInfo().get("arrayColumns");
            List<String> keyColumns = (List<String>) this.item.getQuery().getQueryInfo().get("keyColumns");
            String valueColumn = (String) this.item.getQuery().getQueryInfo().get("valueColumn");

            for (String c : arrayColumns) {
                meta.add(c);
            }
            for (String c: keyColumns) {
                meta.add(c);
            }
            meta.add(valueColumn);

        if(this.meta == null) {
            this.meta = new HashMap<>();
        }

        for(int indexI = 0; indexI < meta.size(); ++indexI) {
            this.meta.put(meta.get(indexI), indexI);
        }

    }

    public Map<String, String> parse() {

        return null;

    }
}
